StorageManagementCall
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs
Class StorageManagementCall

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.StorageManagementCall

    public class StorageManagementCall

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`StorageManagementCall(SMSPortType portType)`

Method Summary
`java.lang.String` | `retrieveFilteredIOs(SMSResponseConfig responseConfig, java.util.List<SMSFilter> filters)`
`InfoObjectTree` | `retrieveTree(java.lang.String oid, InformationObjectTreeResponse responseConfig)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StorageManagementCall

    public StorageManagementCall(SMSPortType portType)

Parameters:
  `portType` -

Method Detail

### retrieveFilteredIOs

    public java.lang.String retrieveFilteredIOs(SMSResponseConfig responseConfig,
                                                java.util.List<SMSFilter> filters)
                                         throws GCUBEUnrecoverableObjectNotFoundFault,
                                                GCUBERetrySameIOFault,
                                                GCUBEUnrecoverableValueNotValidFault,
                                                java.rmi.RemoteException

  Throws:
    `GCUBEUnrecoverableObjectNotFoundFault`
    `GCUBERetrySameIOFault`
    `GCUBEUnrecoverableValueNotValidFault`
    `java.rmi.RemoteException`

### retrieveTree

    public InfoObjectTree retrieveTree(java.lang.String oid,
                                       InformationObjectTreeResponse responseConfig)
                                throws GCUBEUnrecoverableObjectNotFoundFault,
                                       GCUBERetrySameIOFault,
                                       GCUBEUnrecoverableValueNotValidFault,
                                       java.rmi.RemoteException

  Throws:
    `GCUBEUnrecoverableObjectNotFoundFault`
    `GCUBERetrySameIOFault`
    `GCUBEUnrecoverableValueNotValidFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD